Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTTextureArray

    java.lang.Object
      org.lwjgl.opengl.EXTTextureArray

    public final class EXTTextureArray

extends java.lang.Object

Field Summary
`static int` | `GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT` Accepted by the <param> parameter of TexParameterf, TexParameteri, TexParameterfv, and TexParameteriv when the <pname> parameter is TEXTURE_COMPARE_MODE_ARB:
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT` Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:
`static int` | `GL_MAX_ARRAY_TEXTURE_LAYERS_EXT`
`static int` | `GL_PROXY_TEXTURE_1D_ARRAY_EXT` Accepted by the <target> parameter of TexImage2D, TexSubImage2D, CopyTexImage2D, CopyTexSubImage2D, CompressedTexImage2D, and CompressedTexSubImage2D:
`static int` | `GL_PROXY_TEXTURE_2D_ARRAY_EXT` Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CopyTexSubImage3D, CompressedTexImage3D, and CompressedTexSubImage3D:
`static int` | `GL_SAMPLER_1D_ARRAY_EXT` Returned by the <type> parameter of GetActiveUniform:
`static int` | `GL_SAMPLER_1D_ARRAY_SHADOW_EXT`
`static int` | `GL_SAMPLER_2D_ARRAY_EXT`
`static int` | `GL_SAMPLER_2D_ARRAY_SHADOW_EXT`
`static int` | `GL_TEXTURE_1D_ARRAY_EXT` Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:
`static int` | `GL_TEXTURE_2D_ARRAY_EXT`
`static int` | `GL_TEXTURE_BINDING_1D_ARRAY_EXT` Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:
`static int` | `GL_TEXTURE_BINDING_2D_ARRAY_EXT`

Method Summary
`static void` | `glFramebufferTextureLayerEXT(int target, int attachment, int texture, int level, int layer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_1D_ARRAY_EXT

    public static final int GL_TEXTURE_1D_ARRAY_EXT

  Accepted by the <target> parameter of TexParameteri, TexParameteriv, TexParameterf, TexParameterfv, and BindTexture:

  See Also:
    Constant Field Values

### GL_TEXTURE_2D_ARRAY_EXT

    public static final int GL_TEXTURE_2D_ARRAY_EXT

See Also:
  Constant Field Values

### GL_PROXY_TEXTURE_2D_ARRAY_EXT

    public static final int GL_PROXY_TEXTURE_2D_ARRAY_EXT

  Accepted by the <target> parameter of TexImage3D, TexSubImage3D, CopyTexSubImage3D, CompressedTexImage3D, and CompressedTexSubImage3D:

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_1D_ARRAY_EXT

    public static final int GL_PROXY_TEXTURE_1D_ARRAY_EXT

  Accepted by the <target> parameter of TexImage2D, TexSubImage2D, CopyTexImage2D, CopyTexSubImage2D, CompressedTexImage2D, and CompressedTexSubImage2D:

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_1D_ARRAY_EXT

    public static final int GL_TEXTURE_BINDING_1D_ARRAY_EXT

  Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv and GetFloatv:

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_2D_ARRAY_EXT

    public static final int GL_TEXTURE_BINDING_2D_ARRAY_EXT

See Also:
  Constant Field Values

### GL_MAX_ARRAY_TEXTURE_LAYERS_EXT

    public static final int GL_MAX_ARRAY_TEXTURE_LAYERS_EXT

See Also:
  Constant Field Values

### GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT

    public static final int GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT

  Accepted by the <param> parameter of TexParameterf, TexParameteri, TexParameterfv, and TexParameteriv when the <pname> parameter is TEXTURE_COMPARE_MODE_ARB:

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT

  Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:

  See Also:
    Constant Field Values

### GL_SAMPLER_1D_ARRAY_EXT

    public static final int GL_SAMPLER_1D_ARRAY_EXT

  Returned by the <type> parameter of GetActiveUniform:

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_ARRAY_EXT

    public static final int GL_SAMPLER_2D_ARRAY_EXT

See Also:
  Constant Field Values

### GL_SAMPLER_1D_ARRAY_SHADOW_EXT

    public static final int GL_SAMPLER_1D_ARRAY_SHADOW_EXT

See Also:
  Constant Field Values

### GL_SAMPLER_2D_ARRAY_SHADOW_EXT

    public static final int GL_SAMPLER_2D_ARRAY_SHADOW_EXT

See Also:
  Constant Field Values

Method Detail

### glFramebufferTextureLayerEXT

    public static void glFramebufferTextureLayerEXT(int target,
                                                    int attachment,
                                                    int texture,
                                                    int level,
                                                    int layer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.